classification
Title: Adjust reference-counting note
Type: Stage:
Components: Documentation Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: John, georg.brandl, terry.reedy
Priority: normal Keywords: patch

Created on 2009-01-24 00:11 by terry.reedy, last changed 2009-03-31 13:33 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
issue5039.diff John, 2009-03-30 22:32
unnamed John, 2009-03-31 05:51
Messages (6)
msg80424 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-01-24 00:11
Language / Data model / Objects, values and types (2.6-3.1)
third paragraph, has the following note:

"(Implementation note: the current implementation uses a
reference-counting scheme with (optional) delayed detection of
cyclically linked garbage, which collects most objects as soon as they
become unreachable, but is not guaranteed to collect garbage containing
circular references. See the documentation of the gc module for
information on controlling the collection of cyclic garbage.)"

There are two issues here: there are now other implementations that act
differently; CPython may change (as GvR reiterated strongly today in the
PyDev thread "__del__ and tp_dealloc in the IO lib", in response to a
request that the current behavior be defined and documented as not
permanent).  So I suggest:
change 'the current implementation' to 'CPython currently'
add "Other implementations act differently and CPython may change." (at
the end)
msg84688 - (view) Author: John Hitz (John) Date: 2009-03-30 22:32
Attached patch
msg84697 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-03-30 22:43
Committed as r70773, thanks for the patch!
msg84742 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2009-03-31 02:20
The patch has an error.  It says 'Python currently...' instead of
'CPython currently....', as in my suggestion.
msg84752 - (view) Author: John Hitz (John) Date: 2009-03-31 05:51
Sorry about that.  First one I've ever done.  Consecrating more on how than what.

John

> Subject: [issue5039] Adjust reference-counting note
> To: johnhitz321@msn.com
> From: report@bugs.python.org
> Date: Tue, 31 Mar 2009 02:20:45 +0000
> 
> 
> Terry J. Reedy <tjreedy@udel.edu> added the comment:
> 
> The patch has an error.  It says 'Python currently...' instead of
> 'CPython currently....', as in my suggestion.
> 
> ----------
> 
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue5039>
> _______________________________________

_________________________________________________________________
Windows Liveā„¢ SkyDrive: Get 25 GB of free online storage.
http://windowslive.com/online/skydrive?ocid=TXT_TAGLM_WL_skydrive_032009
msg84777 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-03-31 13:33
It's all right, I spotted that and added the "C" in the commit.
History
Date User Action Args
2009-03-31 13:33:23georg.brandlsetmessages: + msg84777
2009-03-31 05:51:58Johnsetfiles: + unnamed

messages: + msg84752
2009-03-31 02:20:44terry.reedysetmessages: + msg84742
2009-03-30 22:43:37georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg84697
2009-03-30 22:32:12Johnsetfiles: + issue5039.diff

nosy: + John
messages: + msg84688

keywords: + patch
2009-01-24 00:11:58terry.reedycreate